Loading...
Searching...
No Matches
seqan3::exposition_only::cigar_operation Class Reference

The actual implementation of seqan3::cigar::operation for documentation purposes only. More...

`#include <seqan3/alphabet/cigar/exposition_only/cigar_operation.hpp>`

Inheritance diagram for seqan3::exposition_only::cigar_operation:
[legend]

## Public Member Functions

Constructors, destructor and assignment
constexpr | cigar_operation () noexcept=default
| Defaulted.
constexpr | cigar_operation (cigar_operation const &) noexcept=default
| Defaulted.
constexpr | cigar_operation (cigar_operation &&) noexcept=default
| Defaulted.
constexpr cigar_operation & | operator= (cigar_operation const &) noexcept=default
| Defaulted.
constexpr cigar_operation & | operator= (cigar_operation &&) noexcept=default
| Defaulted.
| ~cigar_operation () noexcept=default
| Defaulted.
Public Member Functions inherited from seqan3::alphabet_base< cigar_operation, 9, char >
constexpr | alphabet_base () noexcept=default
| Defaulted.
constexpr | alphabet_base (alphabet_base const &) noexcept=default
| Defaulted.
constexpr | alphabet_base (alphabet_base &&) noexcept=default
| Defaulted.
constexpr alphabet_base & | operator= (alphabet_base const &) noexcept=default
| Defaulted.
constexpr alphabet_base & | operator= (alphabet_base &&) noexcept=default
| Defaulted.
| ~alphabet_base () noexcept=default
| Defaulted.
constexpr char_type | to_char () const noexcept
| Return the letter as a character of char_type.
constexpr rank_type | to_rank () const noexcept
| Return the letter's numeric value (rank in the alphabet).
constexpr cigar_operation & | assign_char (char_type const chr) noexcept
| Assign from a character, implicitly converts invalid characters.
constexpr cigar_operation & | assign_rank (rank_type const c) noexcept
| Assign from a numeric value.

## Additional Inherited Members

Static Public Attributes inherited from seqan3::alphabet_base< cigar_operation, 9, char >
static constexpr detail::min_viable_uint_t< size > | alphabet_size
| The size of the alphabet, i.e. the number of different values it can take.
Protected Types inherited from seqan3::alphabet_base< cigar_operation, 9, char >
using | char_type
| The char representation; conditional needed to make semi alphabet definitions legal.
using | rank_type
| The type of the alphabet when represented as a number (e.g. via to_rank()).

## Detailed Description

The actual implementation of seqan3::cigar::operation for documentation purposes only.

Note
  This class only exists because of technical reasons, please always use seqan3::cigar::operation instead of seqan3::exposition_only::cigar_operation.

See also
  seqan3::exposition_only for an explanation on exposition-only.

This entity is not part of the SeqAn API. Do not rely on it in your applications. Please always use seqan3::cigar::operation. The API-Stability of all members documented in this class applies directly to seqan3::cigar::operation.

The documentation for this class was generated from the following file:

- cigar_operation.hpp

Hide me